<script lang="ts" setup>
import { Todo } from "~~/entities";
import TodoCard from "../components/todo-card.vue";

const todos = ref<Todo[]>([
  { id: 1, task: 'Eat' },
  { id: 2, task: 'Learn' }
]);
const newTodo = ref('');

function addTodo() {
  todos.value.push({ id: Date.now(), task: newTodo.value });
  newTodo.value = '';
}

function handleDelete(todo:Todo) {
 
  todos.value = todos.value.filter(item => item.id !== todo.id);
}
</script>

<template>
  <div>
    <form @submit.prevent="addTodo()">
      <input placeholder="new task" class="input" type="text" v-model="newTodo">
      <button class="button is-primary">Add</button>
    </form>
    <div class="columns is-centered is-multiline">
      <div v-for="item of todos" class="column is-4">
        <TodoCard :todo="item" @delete="handleDelete" />
      </div>
    </div>
  </div>
</template>

<style scoped>
</style>
